import flet as ft


def main(page: ft.Page):
    page.title = "Большие списки – Column на 5000 строк"

    for i in range(5000):
        page.controls.append(ft.Text(f"Line {i}"))

    # Включаем прокрутку страницы
    page.scroll = "always"
    page.update()


if __name__ == "__main__":
    ft.app(target=main)
    # или так, чтобы открыть в браузере:
    # ft.app(target=main, view=ft.AppView.WEB_BROWSER)
